import { Component, OnInit } from '@angular/core';
import { StocksService } from '../../stocks.service';

@Component({
	selector: 'app-trends',
	templateUrl: './trends.component.html',
	styleUrls: ['./trends.component.css',
		'../home.component.css',
		'../../news/article/article.component.css']
})

export class TrendsComponent implements OnInit {
	gainers: any;

	constructor(private stocksService: StocksService) { }

	ngOnInit() {
		this.stocksService.getGainers()
			.subscribe(gainers => {
				this.gainers = gainers;
			});
	}

	parsePercent(percent) {
		return Math.floor(percent * 100) + '%';
	}
}
