import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
	providedIn: 'root'
})

export class NewsService {
	constructor(
		private http: HttpClient,
	) { }

	getNews(query: string) {
		return this.http.get(`/api/news?query=${query}`);
	}
}
