package com.stockr.server.news;

import com.stockr.server.sentiment.SentimentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;

@RestController
@RequestMapping("news")
public class NewsController {
    @Autowired
    NewsService ns;

    SentimentService ss = new SentimentService();

    @GetMapping// root
    public ArrayList<Article> getAllArticles(@RequestParam("query") String query) throws Exception {
        ArrayList<Article> articles = ns.getAllArticles(query);
        // ArrayList<Article> sentimentArticles = ss.getAllSentiments(articles);
        return articles;
    }
}
