package com.stockr.server.sentiment;

import com.stockr.server.news.Article;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.AsyncResult;

import java.util.ArrayList;
import java.util.concurrent.Future;

public class SentimentThread {
    SentimentService ss = new SentimentService();

    @Async
    public Future<Article> getSentimentAsync(Article article) throws Exception {
        Sentiment sentiment = ss.getSentiment(article.getDescription());
        article.setSentiment(sentiment);
        return new AsyncResult<>(article);
    }
}
